package com.ssj.service.kmt.correctsys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;


/**
 * @author Admin
 * @title: TeacherAllotListReq
 * @projectName ssj
 * @description: TODO
 * @date 2019/5/21 9:32
 */
public class TeacherAllotListReq extends BaseRequest {

    private final static long serialVersionUID = 1L;


    @ApiModelProperty(name="pageNo",value = "页码",required = true)
    private  int pageNo;

    @ApiModelProperty(name="pageSize",value = "每页条数",required = true)
    private int pageSize;

    @ApiModelProperty(name="maxCreateTime",value = "最大时间,格式(yyyy-MM-dd HH:mm:ss)",required = true)
    private String maxCreateTime;

    @ApiModelProperty(name="grade",value = "年级",required = true)
    private  String grade;

    @ApiModelProperty(name="subject",value = "科目",required = true)
    private  String subject;

    @ApiModelProperty(name="name",value = "老师姓名",required = true)
    private  String name;

    @ApiModelProperty(name="homeworkId",value = "作业Id",required = true)
    private  String homeworkId;

    @ApiModelProperty(name="originTeacherId",value = "原作业老师id",required = true)
    private  String originTeacherId;

    @ApiModelProperty(name="type",value = "老师类型（8:批改老师；13：匹配知识点老师）",required = true)
    private  int type = 8;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getOriginTeacherId() {
        return originTeacherId;
    }

    public void setOriginTeacherId(String originTeacherId) {
        this.originTeacherId = originTeacherId;
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getMaxCreateTime() {
        return maxCreateTime;
    }

    public void setMaxCreateTime(String maxCreateTime) {
        this.maxCreateTime = maxCreateTime;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }
}
